# 5.3. CUPTI Checkpoint API

Functions, types, and enums that implement the CUPTI Checkpoint API.

Data Structures

- NV::Cupti::Checkpoint::CUpti_Checkpoint: Configuration and handle for a CUPTI Checkpoint.

Macros

- CUpti_Checkpoint_STRUCT_SIZE

Enumerations

- NV::Cupti::Checkpoint::CUpti_CheckpointOptimizations: Specifies optimization options for a checkpoint, may be OR'd together to specify multiple options.

Functions

- NV::Cupti::Checkpoint::cuptiCheckpointFree(CUpti_Checkpoint *const handle): Free the backing data for a checkpoint.

- NV::Cupti::Checkpoint::cuptiCheckpointRestore(CUpti_Checkpoint *const handle): Restore a checkpoint to the device associated with its context.

- NV::Cupti::Checkpoint::cuptiCheckpointSave(CUpti_Checkpoint *const handle): Initialize and save a checkpoint of the device state associated with the handle context.

## 5.3.1. Macros

CUpti_Checkpoint_STRUCT_SIZE